---
title: "Complete draft order"
description: "Push draft single into order"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/draft-order/complete-draft-order'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/draft-order/complete-draft-order.md'
---
# Complete draft order

Push draft single into order

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_draft_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
PUT /orders/draft_orders/:id/complete.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_draft_orders`

## Request

### Path Parameters

* `id`

  string (required)

  Draft order number

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value application/json; charset=utf-8.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en)to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `draft_order`

  object

  Draft order

  * `update_at`

    long

    Update time , time stamp format

  * `total_line_items_price`

    string

    Current draft order Product total amount

  * `discount_amount_ext_set`

    object

    Order Discount amount , multi-currency information

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

  * `invoice_url`

    string

    Invoice link

  * `subtotal_price`

    string

    Order amount , double type string for accuracy 2 , eg : " 12.41 "

  * `total_line_items_price_set`

    object

    Current draft order Product total amount , multi-currency information

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

  * `total_tax`

    string

    Total tax , double type string for precision 2 , eg : " 12.41 "

  * `billing_address`

    object

    Billing address information

    * `street_name`

      string

      Street name

    * `address1`

      string

      Detailed address information 1 , used as complementary information

    * `address2`

      string

      Detailed address information 2 , used as complementary information

    * `country`

      string

      Country name

    * `email`

      string

      User mailbox

    * `standard_province_code`

      string

      The code for the province in the billing address, which is a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.This differs from `province_code` - the `province_code` response field uses a custom code.

    * `city`

      string

      City name

    * `city_code`

      string

      City coding , custom number

    * `phone`

      string

      Contact number

    * `province_code`

      string

      State or provincial code , custom number

    * `street_number`

      string

      Street encoding , custom numbering

    * `zip`

      string

      Shipping address postal number

    * `area_code`

      string

      Administrative district encoding , custom number

    * `province`

      string

      State or provincial name

    * `same_as_receiver`

      boolean

      Same as receiving information : true、false

    * `area`

      string

      Administrative region name

    * `company`

      string

      Company Name

    * `country_code`

      string

      Country or region code , two ISO-3166-1

    * `first_name`

      string

      User name

    * `last_name`

      string

      User last name

  * `id`

    string

    Draft order number

  * `tags`

    array<string>

    The draft order tag uses separated by ',' between multiple tag rooms , and the shop dimension supports up to 99 tag

  * `discount_amount_ext`

    string

    Order Discount amount , double type string for accuracy 2 , eg : " 12.41 "

  * `stock_reserved_time`

    long

    Order dimension inventory pre-reserved time

  * `total_duties_set`

    object

    Total duty

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

  * `status`

    string

    Draft order status : open 、 complete

  * `total_tax_set`

    object

    Total tax , multi-currency information

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

  * `total_discounts`

    string

    Total discount amount , double type string for precision 2 , eg : " 12.41 "

  * `company`

    object

    Company info

    * `id`

      string

      Company id

    * `location_id`

      string

      Location id

    * `tax_registration_id`

      string

      Tax registration id

  * `note`

    string

    Draft order note

  * `order_id`

    string

    Order number generated by current draft order

  * `seller_id`

    string

    Merchant id

  * `shipping_lines`

    object

    Logistics information

    * `delivery_id`

      string

      Shipping method id , shipping template id

    * `express_type_source`

      string

      Logistics type system- system logistics ; custom- custom logistics

    * `price`

      string

      Logistics shipping , double type string with accuracy 2

    * `price_set`

      object

      Logistics shipping , multi-currency information

      * `presentment_money`

        object

        Buyer side amount information

      * `shop_money`

        object

        Sell side amount information

    * `title`

      string

      Shipping template name

  * `currency`

    string

    Store currency

  * `discount_amount_ext_name`

    string

    Order Discount name

  * `payment_terms`

    object

    Payment information

    * `payment_terms_type`

      string

      The type of payment terms template used to create the payment terms:
      FIXED: Merchant specified date
      FULFILLMENT: Fulfillment (Shipment) completion date
      NET: Fixed condition date
      RECEIPT: Billing sent date
      UNKNOWN: Unknown type

    * `id`

      string

      The unique identifier (ID) that identifies this payment term

    * `overdue`

      boolean

      Is the payment term overdue: true/false

    * `pay_status`

      string

      Payment slip status : after not paying for the paid draft order and generating the order , the payment slip state will not synchronize the payment status of the order

    * `updated_at`

      string

      Update time

    * `created_at`

      string

      Create time

    * `due_in_days`

      integer

      When the terms type is NET, the payment is due after how many days if the payment is not made

    * `pay_channel_id`

      string

      Payment channel id

    * `payment_channel_name`

      string

      Payment channel name

    * `payment_schedules`

      array<object>

      A set of schedules associated with the payment terms

      * `completed_at`

        string

        Payment completion date

      * `due_at`

        string

        Expected payment date

      * `issued_at`

        string

        The time when the payment terms are triggered. When the type is FIXED, it is the saved time (if the draft order becomes an order, the order inherits the draft order time); when the type is FULFILLMENT/RECEIPT, it is the effective time of the condition; when the type is NET, it is the saved time (if the draft order becomes an order, the order inherits the draft order time).

    * `payment_terms_name`

      string

      The name of the payment terms template used to create the payment terms.

  * `po_number`

    string

    Purchase order number recorded on the order in B2B scenarios

  * `line_items`

    array<object>

    Listing list

    * `price`

      string

      Product amount after participating in custom discounts

    * `price_set`

      object

      Product amount after participating in custom discounts , multi-currency information

      * `presentment_money`

        object

        Buyer side amount information

      * `shop_money`

        object

        Sell side amount information

    * `product_id`

      string

      Product s pu serial number

    * `requires_shipping`

      boolean

      Needs physical transportation and delivery or not : true、false

    * `tax_lines`

      array<object>

      Tax information

      * `type`

        string

        Tax fee type, used to distinguish between commodity tax and freight tax. The enumeration value is as follows product_tax: commodity tax shipping_tax: freight tax

      * `name`

        string

        Tax name

      * `price`

        string

        Tax ( store currency amount ) , accuracy 2

      * `price_set`

        object

        Multi-currency information of tax

      * `rate`

        double

        Tax rate

    * `title`

      string

      Product title

    * `applied_discount`

      object

      Product custom discount information

      * `title`

        string

        Discount name

      * `value`

        long

        Discount amount, discount value, when the discount type is DISCOUNT_AMOUNT_PERCENTAGE, the minimum value is 0 and the maximum value is 100 by default

      * `value_type`

        string

        Discount type : fixed_amount ( fixed amount ) 、percentage ( % )

      * `amount`

        string

        Discount amount , double type string for accuracy 2 , eg : " 12.41 "

      * `amount_set`

        object

        Discount amount , multi-currency information

      * `before_amount`

        string

        Product selling price , double type string for precision 2 , eg : " 12.41 "

      * `before_amount_set`

        object

        Zhekou selling price before discount , multi-currency information

      * `description`

        string

        Discount description

    * `id`

      string

      Product line id , unique confirm a Product line

    * `image_url`

      string

      picture url

    * `product_source`

      string

      Product source main_site main station product、customize custom product

    * `quantity`

      integer

      Product quantity

    * `variant_id`

      string

      Product SKU serial number

    * `variant_title`

      string

      Commercial sku title

    * `gift_card`

      boolean

      Wei for gift cards or not : true、false

  * `note_attributes`

    array<object>

    Additional information

    * `name`

      string

      Name

    * `value`

      string

      Value

  * `shipping_address`

    object

    Logistics information

    * `city`

      string

      City name

    * `country_code`

      string

      Country or region code , two ISO-3166-1

    * `delivery_store_code`

      string

      Store code , custom number

    * `district_code`

      string

      Administrative district encoding , custom number

    * `standard_province_code`

      string

      The code for the province in the shipping address, which is a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.This differs from `province_code` - the `province_code` response field uses a custom code.

    * `street_number`

      string

      Street encoding , custom numbering

    * `address1`

      string

      Detailed address information 1 , used as complementary information

    * `country`

      string

      Country name

    * `district`

      string

      Administrative region name

    * `last_name`

      string

      Last name

    * `phone`

      string

      Contact number

    * `province_code`

      string

      Province-coding

    * `delivery_store_name`

      string

      Store name

    * `first_name`

      string

      First name

    * `province`

      string

      Province

    * `street_name`

      string

      Street name

    * `address2`

      string

      Detailed address information 2 , used as complementary information

    * `city_code`

      string

      City coding , custom number

    * `company`

      string

      Company Name

    * `zip`

      string

      Shipping address postal number

  * `stock_reserved`

    boolean

    Order dimension inventory reserve mark : true、flase

  * `tax_lines`

    array<object>

    Tax information

    * `price_set`

      object

      Multi-currency information of tax

      * `presentment_money`

        object

        Buyer side amount information

      * `shop_money`

        object

        Sell side amount information

    * `rate`

      double

      Tax rate

    * `type`

      string

      Tax fee type, used to distinguish between commodity tax and freight tax. The enumeration value is as follows product_tax: commodity tax shipping_tax: freight tax

    * `name`

      string

      Tax name

    * `price`

      string

      Tax ( store currency amount ) , accuracy 2

  * `create_at`

    long

    Create time , time stamp format

  * `customer`

    object

    Buyer information

    * `area_code`

      string

      Contact area id

    * `email`

      string

      User mailbox

    * `first_name`

      string

      User name

    * `id`

      string

      User ID

    * `last_name`

      string

      User's last name

    * `phone`

      string

      User mobile phone number


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Complete draft order"
  ],
  "description": "Push draft single into order",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_draft_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| STORE_NOT_EXIST | 400 | The store does not exist. |\n| DRAFT_ORDER_COMPLETED | 422 | The draft order status is completed. Operations on this draft order are not permitted. |\n| DRAFT_ORDER_NOT_EXIST | 422 | The draft order does not exist. |\n| DRAFT_ORDER_RETRIEVAL_FAILED | 200 | Failed to retrieve the draft order. |\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| PARAM_ILLEGAL | 422 | illegal param |\n| ILLEGAL_PARAMS | 422 | illegal param |\n"
  },
  "operationId": "KzkFjESc",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "description": "Draft order number",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "id",
        "description": "Draft order number",
        "type": "string",
        "example": "2505751787769346133516"
      },
      "example": "2505751787769346133516"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value application/json; charset=utf-8.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en)to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en)to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "draft_order": {
                "name": "draft_order",
                "description": "Draft order",
                "type": "object",
                "properties": {
                  "update_at": {
                    "name": "update_at",
                    "description": "Update time , time stamp format",
                    "type": "long",
                    "example": 1667638652832
                  },
                  "total_line_items_price": {
                    "name": "total_line_items_price",
                    "description": "Current draft order Product total amount",
                    "type": "string",
                    "example": "2.00"
                  },
                  "discount_amount_ext_set": {
                    "name": "discount_amount_ext_set",
                    "description": "Order Discount amount , multi-currency information",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.00"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.00"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "currency_code": "USD",
                          "amount": "8.00"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "currency_code": "USD",
                        "amount": "8.00"
                      }
                    }
                  },
                  "invoice_url": {
                    "name": "invoice_url",
                    "description": "Invoice link",
                    "type": "string",
                    "example": "https://xxxxx.myshopline.com/invoices/xxxx?secret=xxxx"
                  },
                  "subtotal_price": {
                    "name": "subtotal_price",
                    "description": "Order amount , double type string for accuracy 2 , eg : \" 12.41 \"",
                    "type": "string",
                    "example": "12.41"
                  },
                  "total_line_items_price_set": {
                    "name": "total_line_items_price_set",
                    "description": "Current draft order Product total amount , multi-currency information",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "total_tax": {
                    "name": "total_tax",
                    "description": "Total tax , double type string for precision 2 , eg : \" 12.41 \"",
                    "type": "string",
                    "example": "12.41 "
                  },
                  "billing_address": {
                    "name": "billing_address",
                    "description": "Billing address information",
                    "type": "object",
                    "properties": {
                      "street_name": {
                        "name": "street_name",
                        "description": "Street name",
                        "type": "string",
                        "example": "Street"
                      },
                      "address1": {
                        "name": "address1",
                        "description": "Detailed address information 1 , used as complementary information",
                        "type": "string",
                        "example": "8899 Garfield Street"
                      },
                      "address2": {
                        "name": "address2",
                        "description": "Detailed address information 2 , used as complementary information",
                        "type": "string",
                        "example": "Apartment 5"
                      },
                      "country": {
                        "name": "country",
                        "description": "Country name",
                        "type": "string",
                        "example": "美国"
                      },
                      "email": {
                        "name": "email",
                        "description": "User mailbox",
                        "type": "string",
                        "example": "test@shoplineapp.com"
                      },
                      "standard_province_code": {
                        "name": "standard_province_code",
                        "description": "The code for the province in the billing address, which is a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.This differs from `province_code` - the `province_code` response field uses a custom code.",
                        "type": "string"
                      },
                      "city": {
                        "name": "city",
                        "description": "City name",
                        "type": "string",
                        "example": "Riverside"
                      },
                      "city_code": {
                        "name": "city_code",
                        "description": "City coding , custom number",
                        "type": "string",
                        "example": "4200006"
                      },
                      "phone": {
                        "name": "phone",
                        "description": "Contact number",
                        "type": "string",
                        "example": "13100000000"
                      },
                      "province_code": {
                        "name": "province_code",
                        "description": "State or provincial code , custom number",
                        "type": "string",
                        "example": "4200006"
                      },
                      "street_number": {
                        "name": "street_number",
                        "description": "Street encoding , custom numbering",
                        "type": "string",
                        "example": "4200006"
                      },
                      "zip": {
                        "name": "zip",
                        "description": "Shipping address postal number",
                        "type": "string",
                        "example": "92503"
                      },
                      "area_code": {
                        "name": "area_code",
                        "description": "Administrative district encoding , custom number",
                        "type": "string",
                        "example": "4200006"
                      },
                      "province": {
                        "name": "province",
                        "description": "State or provincial name",
                        "type": "string",
                        "example": "加利福尼亚州"
                      },
                      "same_as_receiver": {
                        "name": "same_as_receiver",
                        "description": "Same as receiving information : true、false",
                        "type": "boolean",
                        "example": true
                      },
                      "area": {
                        "name": "area",
                        "description": "Administrative region name",
                        "type": "string",
                        "example": "East town"
                      },
                      "company": {
                        "name": "company",
                        "description": "Company Name",
                        "type": "string",
                        "example": "SHOPLINE"
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "Country or region code , two ISO-3166-1",
                        "type": "string",
                        "example": "US"
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "User name",
                        "type": "string",
                        "example": "Tom"
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "User last name",
                        "type": "string",
                        "example": "Washington"
                      }
                    },
                    "example": {
                      "area_code": "4200006",
                      "city": "Riverside",
                      "city_code": "4200006",
                      "country": "美国",
                      "country_code": "US",
                      "province_code": "4200006",
                      "standard_province_code": null,
                      "address1": "8899 Garfield Street",
                      "area": "East town",
                      "company": "SHOPLINE",
                      "email": "test@shoplineapp.com",
                      "province": "加利福尼亚州",
                      "same_as_receiver": true,
                      "street_number": "4200006",
                      "first_name": "Tom",
                      "phone": "13100000000",
                      "street_name": "Street",
                      "zip": "92503",
                      "address2": "Apartment 5",
                      "last_name": "Washington"
                    }
                  },
                  "id": {
                    "name": "id",
                    "description": "Draft order number",
                    "type": "string",
                    "example": "2505659131831930856670"
                  },
                  "tags": {
                    "name": "tags",
                    "description": "The draft order tag uses separated by ',' between multiple tag rooms , and the shop dimension supports up to 99 tag",
                    "type": "array",
                    "items": {
                      "type": "string",
                      "example": "shine,bili"
                    },
                    "example": [
                      "shine,bili"
                    ]
                  },
                  "discount_amount_ext": {
                    "name": "discount_amount_ext",
                    "description": "Order Discount amount , double type string for accuracy 2 , eg : \" 12.41 \"",
                    "type": "string",
                    "example": "12.41"
                  },
                  "stock_reserved_time": {
                    "name": "stock_reserved_time",
                    "description": "Order dimension inventory pre-reserved time",
                    "type": "long",
                    "example": 1669280400000
                  },
                  "total_duties_set": {
                    "name": "total_duties_set",
                    "description": "Total duty",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "shop_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      },
                      "presentment_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "status": {
                    "name": "status",
                    "description": "Draft order status : open 、 complete",
                    "type": "string",
                    "example": "open"
                  },
                  "total_tax_set": {
                    "name": "total_tax_set",
                    "description": "Total tax , multi-currency information",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "total_discounts": {
                    "name": "total_discounts",
                    "description": "Total discount amount , double type string for precision 2 , eg : \" 12.41 \"",
                    "type": "string",
                    "example": "12.41 "
                  },
                  "company": {
                    "name": "company",
                    "description": "Company info",
                    "type": "object",
                    "properties": {
                      "id": {
                        "name": "id",
                        "description": "Company id",
                        "type": "string",
                        "example": "1005619945158043247856"
                      },
                      "location_id": {
                        "name": "location_id",
                        "description": "Location id",
                        "type": "string",
                        "example": "3005619945158043247856"
                      },
                      "tax_registration_id": {
                        "name": "tax_registration_id",
                        "description": "Tax registration id",
                        "type": "string",
                        "example": "213213"
                      }
                    },
                    "example": {
                      "id": "1005619945158043247856",
                      "location_id": "3005619945158043247856",
                      "tax_registration_id": "213213"
                    }
                  },
                  "note": {
                    "name": "note",
                    "description": "Draft order note",
                    "type": "string",
                    "example": "客户想要尽快发货"
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "Order number generated by current draft order",
                    "type": "string",
                    "example": "21056577640603870897253153"
                  },
                  "seller_id": {
                    "name": "seller_id",
                    "description": "Merchant id",
                    "type": "string",
                    "example": "160123123"
                  },
                  "shipping_lines": {
                    "name": "shipping_lines",
                    "description": "Logistics information",
                    "type": "object",
                    "properties": {
                      "delivery_id": {
                        "name": "delivery_id",
                        "description": "Shipping method id , shipping template id",
                        "type": "string",
                        "example": "109012039908"
                      },
                      "express_type_source": {
                        "name": "express_type_source",
                        "description": "Logistics type system- system logistics ; custom- custom logistics",
                        "type": "string",
                        "example": "system"
                      },
                      "price": {
                        "name": "price",
                        "description": "Logistics shipping , double type string with accuracy 2",
                        "type": "string",
                        "example": "12.41"
                      },
                      "price_set": {
                        "name": "price_set",
                        "description": "Logistics shipping , multi-currency information",
                        "type": "object",
                        "properties": {
                          "presentment_money": {
                            "name": "presentment_money",
                            "description": "Buyer side amount information",
                            "type": "object",
                            "properties": {
                              "amount": {
                                "name": "amount",
                                "description": "Amount",
                                "type": "string",
                                "example": "8.00"
                              },
                              "currency_code": {
                                "name": "currency_code",
                                "description": "Currency",
                                "type": "string",
                                "example": "USD"
                              }
                            },
                            "example": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          },
                          "shop_money": {
                            "name": "shop_money",
                            "description": "Sell side amount information",
                            "type": "object",
                            "properties": {
                              "amount": {
                                "name": "amount",
                                "description": "Amount",
                                "type": "string",
                                "example": "8.00"
                              },
                              "currency_code": {
                                "name": "currency_code",
                                "description": "Currency",
                                "type": "string",
                                "example": "USD"
                              }
                            },
                            "example": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "example": {
                          "presentment_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        }
                      },
                      "title": {
                        "name": "title",
                        "description": "Shipping template name",
                        "type": "string",
                        "example": "Shipping template name"
                      }
                    },
                    "example": {
                      "delivery_id": "109012039908",
                      "express_type_source": "system",
                      "price": "12.41",
                      "price_set": {
                        "presentment_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      },
                      "title": "Shipping template name"
                    }
                  },
                  "currency": {
                    "name": "currency",
                    "description": "Store currency",
                    "type": "string",
                    "example": "USD"
                  },
                  "discount_amount_ext_name": {
                    "name": "discount_amount_ext_name",
                    "description": "Order Discount name",
                    "type": "string",
                    "example": "Order Discount name"
                  },
                  "payment_terms": {
                    "name": "payment_terms",
                    "description": "Payment information",
                    "type": "object",
                    "properties": {
                      "payment_terms_type": {
                        "name": "payment_terms_type",
                        "description": "The type of payment terms template used to create the payment terms:\nFIXED: Merchant specified date\nFULFILLMENT: Fulfillment (Shipment) completion date\nNET: Fixed condition date\nRECEIPT: Billing sent date\nUNKNOWN: Unknown type",
                        "type": "string",
                        "example": "RECEIPT"
                      },
                      "id": {
                        "name": "id",
                        "description": "The unique identifier (ID) that identifies this payment term",
                        "type": "string",
                        "example": "6497210673894431747"
                      },
                      "overdue": {
                        "name": "overdue",
                        "description": "Is the payment term overdue: true/false",
                        "type": "boolean",
                        "example": true
                      },
                      "pay_status": {
                        "name": "pay_status",
                        "description": "Payment slip status : after not paying for the paid draft order and generating the order , the payment slip state will not synchronize the payment status of the order",
                        "type": "string",
                        "example": "unpaid"
                      },
                      "updated_at": {
                        "name": "updated_at",
                        "description": "Update time",
                        "type": "string",
                        "example": "2024-06-05 08:00:00"
                      },
                      "created_at": {
                        "name": "created_at",
                        "description": "Create time",
                        "type": "string",
                        "example": "2024-06-05 08:00:00"
                      },
                      "due_in_days": {
                        "name": "due_in_days",
                        "description": "When the terms type is NET, the payment is due after how many days if the payment is not made",
                        "type": "integer",
                        "example": 2
                      },
                      "pay_channel_id": {
                        "name": "pay_channel_id",
                        "description": "Payment channel id",
                        "type": "string",
                        "example": "5341701129888599091"
                      },
                      "payment_channel_name": {
                        "name": "payment_channel_name",
                        "description": "Payment channel name",
                        "type": "string",
                        "example": "Custom payment --uploadfile"
                      },
                      "payment_schedules": {
                        "name": "payment_schedules",
                        "description": "A set of schedules associated with the payment terms",
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "completed_at": {
                              "name": "completed_at",
                              "description": "Payment completion date",
                              "type": "string",
                              "example": "2024-06-05 08:00:00"
                            },
                            "due_at": {
                              "name": "due_at",
                              "description": "Expected payment date",
                              "type": "string",
                              "example": "2024-06-05 08:00:00"
                            },
                            "issued_at": {
                              "name": "issued_at",
                              "description": "The time when the payment terms are triggered. When the type is FIXED, it is the saved time (if the draft order becomes an order, the order inherits the draft order time); when the type is FULFILLMENT/RECEIPT, it is the effective time of the condition; when the type is NET, it is the saved time (if the draft order becomes an order, the order inherits the draft order time).",
                              "type": "string",
                              "example": "2024-06-05 08:00:00"
                            }
                          },
                          "example": {
                            "completed_at": "2024-06-05 08:00:00",
                            "due_at": "2024-06-05 08:00:00",
                            "issued_at": "2024-06-05 08:00:00"
                          }
                        },
                        "example": [
                          {
                            "completed_at": "2024-06-05 08:00:00",
                            "due_at": "2024-06-05 08:00:00",
                            "issued_at": "2024-06-05 08:00:00"
                          }
                        ]
                      },
                      "payment_terms_name": {
                        "name": "payment_terms_name",
                        "description": "The name of the payment terms template used to create the payment terms.",
                        "type": "string",
                        "example": "Due on receipt"
                      }
                    },
                    "example": {
                      "payment_terms_type": "RECEIPT",
                      "created_at": "2024-06-05 08:00:00",
                      "due_in_days": 2,
                      "overdue": true,
                      "updated_at": "2024-06-05 08:00:00",
                      "id": "6497210673894431747",
                      "pay_channel_id": "5341701129888599091",
                      "pay_status": "unpaid",
                      "payment_channel_name": "Custom payment --uploadfile",
                      "payment_schedules": [
                        {
                          "completed_at": "2024-06-05 08:00:00",
                          "due_at": "2024-06-05 08:00:00",
                          "issued_at": "2024-06-05 08:00:00"
                        }
                      ],
                      "payment_terms_name": "Due on receipt"
                    }
                  },
                  "po_number": {
                    "name": "po_number",
                    "description": "Purchase order number recorded on the order in B2B scenarios",
                    "type": "string"
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "Listing list",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "price": {
                          "name": "price",
                          "description": "Product amount after participating in custom discounts",
                          "type": "string",
                          "example": "2.00"
                        },
                        "price_set": {
                          "name": "price_set",
                          "description": "Product amount after participating in custom discounts , multi-currency information",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Buyer side amount information",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Sell side amount information",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "Product s pu serial number",
                          "type": "string",
                          "example": "16056577393789045351043258"
                        },
                        "requires_shipping": {
                          "name": "requires_shipping",
                          "description": "Needs physical transportation and delivery or not : true、false",
                          "type": "boolean",
                          "example": true
                        },
                        "tax_lines": {
                          "name": "tax_lines",
                          "description": "Tax information",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "type": {
                                "name": "type",
                                "description": "Tax fee type, used to distinguish between commodity tax and freight tax. The enumeration value is as follows product_tax: commodity tax shipping_tax: freight tax",
                                "type": "string",
                                "example": "shipping_tax"
                              },
                              "name": {
                                "name": "name",
                                "description": "Tax name",
                                "type": "string",
                                "example": "tax"
                              },
                              "price": {
                                "name": "price",
                                "description": "Tax ( store currency amount ) , accuracy 2",
                                "type": "string",
                                "example": "8.00"
                              },
                              "price_set": {
                                "name": "price_set",
                                "description": "Multi-currency information of tax",
                                "type": "object",
                                "properties": {
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "Buy side currency",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "currency_code": "USD",
                                      "amount": "8.00"
                                    }
                                  },
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "Sell side currency",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  }
                                },
                                "example": {
                                  "presentment_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  },
                                  "shop_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "rate": {
                                "name": "rate",
                                "description": "Tax rate",
                                "type": "double",
                                "example": 1
                              }
                            },
                            "example": {
                              "name": "tax",
                              "price": "8.00",
                              "price_set": {
                                "presentment_money": {
                                  "currency_code": "USD",
                                  "amount": "8.00"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "rate": 1,
                              "type": "shipping_tax"
                            }
                          },
                          "example": [
                            {
                              "name": "tax",
                              "price": "8.00",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "rate": 1,
                              "type": "shipping_tax"
                            }
                          ]
                        },
                        "title": {
                          "name": "title",
                          "description": "Product title",
                          "type": "string",
                          "example": "Product title"
                        },
                        "applied_discount": {
                          "name": "applied_discount",
                          "description": "Product custom discount information",
                          "type": "object",
                          "properties": {
                            "title": {
                              "name": "title",
                              "description": "Discount name",
                              "type": "string",
                              "example": "满减"
                            },
                            "value": {
                              "name": "value",
                              "description": "Discount amount, discount value, when the discount type is DISCOUNT_AMOUNT_PERCENTAGE, the minimum value is 0 and the maximum value is 100 by default",
                              "type": "long",
                              "example": 1
                            },
                            "value_type": {
                              "name": "value_type",
                              "description": "Discount type : fixed_amount ( fixed amount ) 、percentage ( % )",
                              "type": "string",
                              "example": "fixed_amount"
                            },
                            "amount": {
                              "name": "amount",
                              "description": "Discount amount , double type string for accuracy 2 , eg : \" 12.41 \"",
                              "type": "string",
                              "example": "1.00"
                            },
                            "amount_set": {
                              "name": "amount_set",
                              "description": "Discount amount , multi-currency information",
                              "type": "object",
                              "properties": {
                                "presentment_money": {
                                  "name": "presentment_money",
                                  "description": "Buyer side amount information",
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "name": "amount",
                                      "description": "Amount",
                                      "type": "string",
                                      "example": "8.00"
                                    },
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "Currency",
                                      "type": "string",
                                      "example": "USD"
                                    }
                                  },
                                  "example": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                },
                                "shop_money": {
                                  "name": "shop_money",
                                  "description": "Sell side amount information",
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "name": "amount",
                                      "description": "Amount",
                                      "type": "string",
                                      "example": "8.00"
                                    },
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "Currency",
                                      "type": "string",
                                      "example": "USD"
                                    }
                                  },
                                  "example": {
                                    "currency_code": "USD",
                                    "amount": "8.00"
                                  }
                                }
                              },
                              "example": {
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              }
                            },
                            "before_amount": {
                              "name": "before_amount",
                              "description": "Product selling price , double type string for precision 2 , eg : \" 12.41 \"",
                              "type": "string",
                              "example": "3.00"
                            },
                            "before_amount_set": {
                              "name": "before_amount_set",
                              "description": "Zhekou selling price before discount , multi-currency information",
                              "type": "object",
                              "properties": {
                                "presentment_money": {
                                  "name": "presentment_money",
                                  "description": "Buyer side amount information",
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "name": "amount",
                                      "description": "Amount",
                                      "type": "string",
                                      "example": "8.00"
                                    },
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "Currency",
                                      "type": "string",
                                      "example": "USD"
                                    }
                                  },
                                  "example": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                },
                                "shop_money": {
                                  "name": "shop_money",
                                  "description": "Sell side amount information",
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "name": "amount",
                                      "description": "Amount",
                                      "type": "string",
                                      "example": "8.00"
                                    },
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "Currency",
                                      "type": "string",
                                      "example": "USD"
                                    }
                                  },
                                  "example": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "example": {
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              }
                            },
                            "description": {
                              "name": "description",
                              "description": "Discount description",
                              "type": "string",
                              "example": "满两件减5元"
                            }
                          },
                          "example": {
                            "value": 1,
                            "value_type": "fixed_amount",
                            "amount": "1.00",
                            "amount_set": {
                              "presentment_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "before_amount": "3.00",
                            "before_amount_set": {
                              "presentment_money": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              },
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "description": "满两件减5元",
                            "title": "满减"
                          }
                        },
                        "id": {
                          "name": "id",
                          "description": "Product line id , unique confirm a Product line",
                          "type": "string",
                          "example": "123123"
                        },
                        "image_url": {
                          "name": "image_url",
                          "description": "picture url",
                          "type": "string",
                          "example": "http://www.abc.com/123"
                        },
                        "product_source": {
                          "name": "product_source",
                          "description": "Product source main_site main station product、customize custom product",
                          "type": "string",
                          "example": "main_site"
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "Product quantity",
                          "type": "integer",
                          "example": 1
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "Product SKU serial number",
                          "type": "string",
                          "example": "18056577393793239655103258"
                        },
                        "variant_title": {
                          "name": "variant_title",
                          "description": "Commercial sku title",
                          "type": "string",
                          "example": "Commercial sku title"
                        },
                        "gift_card": {
                          "name": "gift_card",
                          "description": "Wei for gift cards or not : true、false",
                          "type": "boolean",
                          "example": true
                        }
                      },
                      "example": {
                        "gift_card": true,
                        "price_set": {
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "8.00"
                          },
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "product_id": "16056577393789045351043258",
                        "product_source": "main_site",
                        "quantity": 1,
                        "requires_shipping": true,
                        "tax_lines": [
                          {
                            "name": "tax",
                            "price": "8.00",
                            "price_set": {
                              "presentment_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              }
                            },
                            "rate": 1,
                            "type": "shipping_tax"
                          }
                        ],
                        "id": "123123",
                        "image_url": "http://www.abc.com/123",
                        "price": "2.00",
                        "title": "Product title",
                        "variant_id": "18056577393793239655103258",
                        "variant_title": "Commercial sku title",
                        "applied_discount": {
                          "amount": "1.00",
                          "amount_set": {
                            "presentment_money": {
                              "currency_code": "USD",
                              "amount": "8.00"
                            },
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          },
                          "before_amount": "3.00",
                          "before_amount_set": {
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          },
                          "description": "满两件减5元",
                          "title": "满减",
                          "value": 1,
                          "value_type": "fixed_amount"
                        }
                      }
                    },
                    "example": [
                      {
                        "image_url": "http://www.abc.com/123",
                        "product_id": "16056577393789045351043258",
                        "product_source": "main_site",
                        "quantity": 1,
                        "tax_lines": [
                          {
                            "name": "tax",
                            "price": "8.00",
                            "price_set": {
                              "presentment_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "rate": 1,
                            "type": "shipping_tax"
                          }
                        ],
                        "variant_id": "18056577393793239655103258",
                        "applied_discount": {
                          "value_type": "fixed_amount",
                          "amount": "1.00",
                          "amount_set": {
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          },
                          "before_amount": "3.00",
                          "before_amount_set": {
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          },
                          "description": "满两件减5元",
                          "title": "满减",
                          "value": 1
                        },
                        "gift_card": true,
                        "price": "2.00",
                        "price_set": {
                          "presentment_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "currency_code": "USD",
                            "amount": "8.00"
                          }
                        },
                        "requires_shipping": true,
                        "title": "Product title",
                        "variant_title": "Commercial sku title",
                        "id": "123123"
                      }
                    ]
                  },
                  "note_attributes": {
                    "name": "note_attributes",
                    "description": "Additional information",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "name": {
                          "name": "name",
                          "description": "Name",
                          "type": "string",
                          "example": "xxxx"
                        },
                        "value": {
                          "name": "value",
                          "description": "Value",
                          "type": "string",
                          "example": "2"
                        }
                      },
                      "example": {
                        "value": "2",
                        "name": "xxxx"
                      }
                    },
                    "example": [
                      {
                        "value": "2",
                        "name": "xxxx"
                      }
                    ]
                  },
                  "shipping_address": {
                    "name": "shipping_address",
                    "description": "Logistics information",
                    "type": "object",
                    "properties": {
                      "city": {
                        "name": "city",
                        "description": "City name",
                        "type": "string",
                        "example": "Riverside"
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "Country or region code , two ISO-3166-1",
                        "type": "string",
                        "example": "US"
                      },
                      "delivery_store_code": {
                        "name": "delivery_store_code",
                        "description": "Store code , custom number",
                        "type": "string",
                        "example": "4200006"
                      },
                      "district_code": {
                        "name": "district_code",
                        "description": "Administrative district encoding , custom number",
                        "type": "string",
                        "example": "4200006"
                      },
                      "standard_province_code": {
                        "name": "standard_province_code",
                        "description": "The code for the province in the shipping address, which is a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.This differs from `province_code` - the `province_code` response field uses a custom code.",
                        "type": "string"
                      },
                      "street_number": {
                        "name": "street_number",
                        "description": "Street encoding , custom numbering",
                        "type": "string",
                        "example": "4200006"
                      },
                      "address1": {
                        "name": "address1",
                        "description": "Detailed address information 1 , used as complementary information",
                        "type": "string",
                        "example": "8899 Garfield Street"
                      },
                      "country": {
                        "name": "country",
                        "description": "Country name",
                        "type": "string",
                        "example": "美国"
                      },
                      "district": {
                        "name": "district",
                        "description": "Administrative region name",
                        "type": "string",
                        "example": "Administrative region name"
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "Last name",
                        "type": "string",
                        "example": "Washington"
                      },
                      "phone": {
                        "name": "phone",
                        "description": "Contact number",
                        "type": "string",
                        "example": "13100000000"
                      },
                      "province_code": {
                        "name": "province_code",
                        "description": "Province-coding",
                        "type": "string",
                        "example": "4200006"
                      },
                      "delivery_store_name": {
                        "name": "delivery_store_name",
                        "description": "Store name",
                        "type": "string",
                        "example": "Store name"
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "First name",
                        "type": "string",
                        "example": "Tom"
                      },
                      "province": {
                        "name": "province",
                        "description": "Province",
                        "type": "string",
                        "example": "California"
                      },
                      "street_name": {
                        "name": "street_name",
                        "description": "Street name",
                        "type": "string",
                        "example": "Street"
                      },
                      "address2": {
                        "name": "address2",
                        "description": "Detailed address information 2 , used as complementary information",
                        "type": "string",
                        "example": "Apartment 5"
                      },
                      "city_code": {
                        "name": "city_code",
                        "description": "City coding , custom number",
                        "type": "string",
                        "example": "4200006"
                      },
                      "company": {
                        "name": "company",
                        "description": "Company Name",
                        "type": "string",
                        "example": "Company Name"
                      },
                      "zip": {
                        "name": "zip",
                        "description": "Shipping address postal number",
                        "type": "string",
                        "example": "92503"
                      }
                    },
                    "example": {
                      "phone": "13100000000",
                      "zip": "92503",
                      "country": "美国",
                      "country_code": "US",
                      "delivery_store_code": "4200006",
                      "delivery_store_name": "Store name",
                      "district": "Administrative region name",
                      "standard_province_code": null,
                      "street_name": "Street",
                      "address1": "8899 Garfield Street",
                      "address2": "Apartment 5",
                      "city_code": "4200006",
                      "province_code": "4200006",
                      "city": "Riverside",
                      "district_code": "4200006",
                      "province": "California",
                      "street_number": "4200006",
                      "company": "Company Name",
                      "first_name": "Tom",
                      "last_name": "Washington"
                    }
                  },
                  "stock_reserved": {
                    "name": "stock_reserved",
                    "description": "Order dimension inventory reserve mark : true、flase",
                    "type": "boolean",
                    "example": true
                  },
                  "tax_lines": {
                    "name": "tax_lines",
                    "description": "Tax information",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "price_set": {
                          "name": "price_set",
                          "description": "Multi-currency information of tax",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Buyer side amount information",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount, Precision 2",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Sell side amount information",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount, Precision 2",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "currency_code": "USD",
                              "amount": "8.00"
                            }
                          }
                        },
                        "rate": {
                          "name": "rate",
                          "description": "Tax rate",
                          "type": "double",
                          "example": 1
                        },
                        "type": {
                          "name": "type",
                          "description": "Tax fee type, used to distinguish between commodity tax and freight tax. The enumeration value is as follows product_tax: commodity tax shipping_tax: freight tax",
                          "type": "string",
                          "example": "shipping_tax"
                        },
                        "name": {
                          "name": "name",
                          "description": "Tax name",
                          "type": "string",
                          "example": "TAX"
                        },
                        "price": {
                          "name": "price",
                          "description": "Tax ( store currency amount ) , accuracy 2",
                          "type": "string",
                          "example": "8.00"
                        }
                      },
                      "example": {
                        "type": "shipping_tax",
                        "name": "TAX",
                        "price": "8.00",
                        "price_set": {
                          "presentment_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "rate": 1
                      }
                    },
                    "example": [
                      {
                        "name": "TAX",
                        "price": "8.00",
                        "price_set": {
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "8.00"
                          },
                          "shop_money": {
                            "currency_code": "USD",
                            "amount": "8.00"
                          }
                        },
                        "rate": 1,
                        "type": "shipping_tax"
                      }
                    ]
                  },
                  "create_at": {
                    "name": "create_at",
                    "description": "Create time , time stamp format",
                    "type": "long",
                    "example": 1667638652832
                  },
                  "customer": {
                    "name": "customer",
                    "description": "Buyer information",
                    "type": "object",
                    "properties": {
                      "area_code": {
                        "name": "area_code",
                        "description": "Contact area id",
                        "type": "string",
                        "example": "0000"
                      },
                      "email": {
                        "name": "email",
                        "description": "User mailbox",
                        "type": "string",
                        "example": "xxx@gmail.com"
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "User name",
                        "type": "string",
                        "example": "Xiaoliu"
                      },
                      "id": {
                        "name": "id",
                        "description": "User ID",
                        "type": "string",
                        "example": "2200000611"
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "User's last name",
                        "type": "string",
                        "example": "Wang"
                      },
                      "phone": {
                        "name": "phone",
                        "description": "User mobile phone number",
                        "type": "string",
                        "example": "1888888888888"
                      }
                    },
                    "example": {
                      "phone": "1888888888888",
                      "area_code": "0000",
                      "email": "xxx@gmail.com",
                      "first_name": "Xiaoliu",
                      "id": "2200000611",
                      "last_name": "Wang"
                    }
                  }
                },
                "example": {
                  "create_at": 1667638652832,
[...]
